
package de.ivu.elect.core.exchange.stimmen.csv.referendum;

import java.util.ArrayList;
import java.util.List;

import org.jsefa.csv.annotation.CsvDataType;

import de.ivu.elect.core.exchange.stimmen.csv.AbstractStimmenCsvDTO;
import de.ivu.jsefa.CsvAttachedList;

@CsvDataType
public class ReferendumErgebnisDTO extends AbstractStimmenCsvDTO {

  @CsvAttachedList(clazz = ReferendumErgebnisOptionDTO.class)
  private List<ReferendumErgebnisOptionDTO> optionen = new ArrayList<>();

  public ReferendumErgebnisDTO() {
    super();
  }

  public List<ReferendumErgebnisOptionDTO> getOptionen() {
    return optionen;
  }

  @Override
  public Class< ? > getSubDTOClass() {
    return ReferendumErgebnisOptionDTO.class;
  }

  @Override
  public int getAnzahlSubDTO() {
    if (optionen == null) {
      return 0;
    }

    return optionen.size();
  }
}
